%define debug_package %{nil}

Name:     nailgun
Version:  0.9.1
Release:  %mkrel 3
Summary:  Framework for running Java from the cli without the JVM startup overhead
Group:    Development/Java
License:  ASL 2.0
URL:      http://martiansoftware.com/nailgun/

# https://github.com/martylamb/nailgun/archive/nailgun-all-0.9.1.zip
Source0:  %{name}-%{name}-all-%{version}.zip
Patch0:   remove-tools-jar-dependencies.patch

BuildRequires: java-devel
BuildRequires:  jpackage-utils
BuildRequires: maven-local
Requires: java-headless
Requires:  jpackage-utils

%description
Nailgun is a client, protocol, and server for running Java programs from the 
command line without incurring the JVM startup overhead. Programs run in the 
server (which is implemented in Java), and are triggered by the client 
(written in C), which handles all I/O.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-all-%{version}
#%patch0 -p1

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

# (daviddavid) Let xmvn generate javadocs
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc
#%doc LICENSE.txt



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 0.9.1-3.mga6
+ Revision: 981383
- let xmvn generate javadocs (fix build)

  + neoclust <neoclust>
    - First rebuild of the java stack
    - sync package nailgun with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Feb 20 2015 pterjan <pterjan> 0.9.1-1.mga5
+ Revision: 816072
- Update to 0.9.1 needed by jruby

* Fri Dec 26 2014 dmorgan <dmorgan> 0.7.1-6.mga5
+ Revision: 806245
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 740182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-4.mga5
+ Revision: 682794
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-3.mga4
+ Revision: 508163
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 131282
- Clean spec file

  + gil <gil>
    - removed exe files as recommended by dmorgan
    - removed exe file
    - edit ant tasks
    - imported package nailgun


* Sat Jun 11 2011 gil <gil> 0.7.1-0.%%mkrel
- initial rpm